html {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    display: inline-block;
    text-align: center;
}
h1 {
    font-size: 1.8rem;
    color: white;
}
.topnav {
    overflow: hidden;
    background-color: #e6af39;
    color: white;
    font-size: 1rem;
    padding: 10px;
}
/* Add a black background color to the top navigation */

  /* Style the links inside the navigation bar */
  .topnav a {
    float: center;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
  }
  
  /* Change the color of links on hover */
  .topnav a:hover {
    background-color: rgb(255, 196, 0);
    color: black;
  }
  
  /* Add a color to the active/current link */
  .topnav a.active {
    background-color: #ffdf75;
    color: white;
  }
#authentication-bar{
    background-color:mintcream;
    padding-top: 10px;
    padding-bottom: 10px;
}

#user-details{
    color: #e6af39;
}

.content {
    padding: 20px;
}

body {
    margin: 0;
}

.card-grid {
    max-width: 800px;
    margin: 0 auto;
    display: grid;
    grid-gap: 2rem;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}
.card {
    background-color: white;
    box-shadow: 2px 2px 12px 1px rgba(140,140,140,.5);
}

.card-title {
    font-size: 1.2rem;
    color: #034078
}
.state {
    color:#1282A2;
}
button {
    background-color: #e6af39;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
    border-radius: 4px;
}


.button-reset{
    background-color: #e63939;
    color: rgb(0, 0, 0);
    padding: 14px 20px;
    margin: 8px 0;
    margin-top: 35px;
    border: none;
    cursor: pointer;
    border-radius: 4px;
}

.button-report{
    background-color: #fad506;
    color: rgb(0, 0, 0);
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
    border-radius: 4px;
}

  
.button-reset:hover{
    background-color: #a34900;
}

.button-on {
    background-color:#e6af39;
}
.button-on:hover {
    background-color: #252524;
}
.button-off {
    background-color:#e6af39;
}
.button-off:hover {
    background-color: #252524;
}

.button-report:hover {
    background-color: #afaf2c;
}

.btn-download:hover {
    background-color:#252524;
}
.btn-search:hover {
    background-color:#252524;
}

.button-on {
    background-color:#e6af39;
}

.form-elements-container{
    padding: 16px;
    width: 250px;
    margin: 0 auto;
}

input[type=text], input[type=password] {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

.height{
    height: 100vh;
}


  tr:nth-child(odd) {
    background-color: #3686ffc2;
  }
  tr:nth-child(even) {
    background-color: #d7e8ff;
  }
  td {
    /* padding: 10px; */
    text-align: center;
  }
  

  /* table {
    table-layout: fixed;
    width: 100%;
    overflow: auto;
  } */
  
  
  
  td:first-child {
    width: 50px;
  }
  
  
   th {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  } 
 
  td {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  

   td {
    max-width: 200px;
    white-space: normal;
  }  

  /* Make the table scroll horizontally on small screens */
@media only screen and (max-width: 600px) {
    #myTable {
      width: 100%;
      overflow-x: auto;
    }
  }
  
  /* Make the table columns stack vertically on small screens */
  @media only screen and (max-width: 600px) {
    .column {
      width: 100%;
      display: block;
    }
  }

  #notifications-tab {
    position: fixed;
    bottom: 0;
    right: 0;
    width: 150px;
    height: 80px;
    background: #ffc107;
    border-top-left-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: background 0.2s;
  }
  
  
  #notifications-tab:hover {
    background: #bdbd5b;
  }
  
  #notifications-count {
    transition: color 0.5s ease;
    position: absolute;
    top: -5px;
    right: -5px;
    width: 25px;
  height: 25px;
  font-size: 18px;
    background: #e74c3c;
    color: #ffffff;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    /* Other styles for the notification count */
    animation: flash 1s linear infinite;
  }
  
  
  @keyframes flash {
    0% {
      color: white;
    }
    50% {
      color: red;
    }
    100% {
      color: white;
    }
  }
  

  @keyframes shake {
    10%, 90% {
      transform: translate3d(-1px, 0, 0);
    }
    
    20%, 80% {
      transform: translate3d(2px, 0, 0);
    }
  
    30%, 50%, 70% {
      transform: translate3d(-4px, 0, 0);
    }
  
    40%, 60% {
      transform: translate3d(4px, 0, 0);
    }
  }


  .fa-bell {
    font-size: 20px;
    color: #e74c3c;
    animation: shake 1s cubic-bezier(.36,.07,.19,.97) both infinite;
  transform: translate3d(0, 0, 0);
  backface-visibility: hidden;
  perspective: 1000px;
  }
  
  #notifications-content {
    position: fixed;
    bottom: 0px;
    right: 0;
    width: 250px;
    background: #fffb00;
    border-top-left-radius: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transform: translateY(100%);
    transition: transform 0.2s;
  }
  
  #notifications-content.visible {
    transform: translateY(0);
  }
  
  #notifications-content ul {
    list-style: none;
    margin: 0;
    padding: 0;
    
  }
  
  #notifications-content li {
    padding: 10px;
    border-bottom: 1px solid #f5f5f5;
  }
  
  #notifications-content li:last-child {
    border-bottom: none;
  }
  
  #notifications-content li .notification-content {
    font-size: 14px;
    color: #333333;
  }
  #notifications-text {
    font-size: 14px;
    color: #333333;
    font-weight: bold;
    margin-left: 5px;
  }
  

  
  